# Do not edit this file; it's autogenerated.

load common


@test 'custom build chtest' {
    scope quick
    
    tarball="${ch_tardir}/chtest"
    pq="${ch_tardir}/chtest.pq_missing"
    workdir="${ch_tardir}/chtest.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "chtest"
    run ./Build "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build centos7xz' {
    scope standard
    
    tarball="${ch_tardir}/centos7xz"
    pq="${ch_tardir}/centos7xz.pq_missing"
    workdir="${ch_tardir}/centos7xz.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.centos7xz "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build ch-build2dir' {
    scope standard
    
    tarball="${ch_tardir}/ch-build2dir"
    pq="${ch_tardir}/ch-build2dir.pq_missing"
    workdir="${ch_tardir}/ch-build2dir.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.ch-build2dir "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build ch-pull2dir' {
    scope standard
    
    tarball="${ch_tardir}/ch-pull2dir"
    pq="${ch_tardir}/ch-pull2dir.pq_missing"
    workdir="${ch_tardir}/ch-pull2dir.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.ch-pull2dir "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build ch-pull2tar' {
    scope standard
    
    tarball="${ch_tardir}/ch-pull2tar"
    pq="${ch_tardir}/ch-pull2tar.pq_missing"
    workdir="${ch_tardir}/ch-pull2tar.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.ch-pull2tar "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build missing' {
    scope quick
    
    tarball="${ch_tardir}/missing"
    pq="${ch_tardir}/missing.pq_missing"
    workdir="${ch_tardir}/missing.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.missing "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build skopeo-umoci' {
    scope standard
    
    tarball="${ch_tardir}/skopeo-umoci"
    pq="${ch_tardir}/skopeo-umoci.pq_missing"
    workdir="${ch_tardir}/skopeo-umoci.tmp"
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.skopeo-umoci "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'ch-build alpine39' {
    scope quick
    
    ch-build -t alpine39 --file="Dockerfile.alpine39" "."
    #sudo docker tag alpine39 "alpine39:$ch_version_docker"
    builder_ok alpine39
}

@test 'builder to archive alpine39' {
    scope quick
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/alpine39.sqfs"
        ch-docker2squash alpine39 "$ch_tardir"
    else
        archive="${ch_tardir}/alpine39.tar.gz"
        ch-builder2tar alpine39 "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build alpineedge' {
    scope full
    
    ch-build -t alpineedge --file="Dockerfile.alpineedge" "."
    #sudo docker tag alpineedge "alpineedge:$ch_version_docker"
    builder_ok alpineedge
}

@test 'builder to archive alpineedge' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/alpineedge.sqfs"
        ch-docker2squash alpineedge "$ch_tardir"
    else
        archive="${ch_tardir}/alpineedge.tar.gz"
        ch-builder2tar alpineedge "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build centos6' {
    scope full
    arch_exclude aarch64 
    ch-build -t centos6 --file="Dockerfile.centos6" "."
    #sudo docker tag centos6 "centos6:$ch_version_docker"
    builder_ok centos6
}

@test 'builder to archive centos6' {
    scope full
    arch_exclude aarch64 
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/centos6.sqfs"
        ch-docker2squash centos6 "$ch_tardir"
    else
        archive="${ch_tardir}/centos6.tar.gz"
        ch-builder2tar centos6 "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build centos7' {
    scope standard
    
    ch-build -t centos7 --file="Dockerfile.centos7" "."
    #sudo docker tag centos7 "centos7:$ch_version_docker"
    builder_ok centos7
}

@test 'builder to archive centos7' {
    scope standard
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/centos7.sqfs"
        ch-docker2squash centos7 "$ch_tardir"
    else
        archive="${ch_tardir}/centos7.tar.gz"
        ch-builder2tar centos7 "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build debian9' {
    scope standard
    
    ch-build -t debian9 --file="Dockerfile.debian9" "."
    #sudo docker tag debian9 "debian9:$ch_version_docker"
    builder_ok debian9
}

@test 'builder to archive debian9' {
    scope standard
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/debian9.sqfs"
        ch-docker2squash debian9 "$ch_tardir"
    else
        archive="${ch_tardir}/debian9.tar.gz"
        ch-builder2tar debian9 "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build exhaustive' {
    scope standard
    builder_exclude buildah exhaustive
builder_exclude buildah-runc exhaustive
builder_exclude buildah-setuid exhaustive
builder_exclude docker exhaustive
    ch-build -t exhaustive --file="Dockerfile.exhaustive" "."
    #sudo docker tag exhaustive "exhaustive:$ch_version_docker"
    builder_ok exhaustive
}

@test 'builder to archive exhaustive' {
    scope standard
    builder_exclude buildah exhaustive
builder_exclude buildah-runc exhaustive
builder_exclude buildah-setuid exhaustive
builder_exclude docker exhaustive
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/exhaustive.sqfs"
        ch-docker2squash exhaustive "$ch_tardir"
    else
        archive="${ch_tardir}/exhaustive.tar.gz"
        ch-builder2tar exhaustive "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build mpich' {
    scope full
    
    ch-build -t mpich --file="Dockerfile.mpich" "."
    #sudo docker tag mpich "mpich:$ch_version_docker"
    builder_ok mpich
}

@test 'builder to archive mpich' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/mpich.sqfs"
        ch-docker2squash mpich "$ch_tardir"
    else
        archive="${ch_tardir}/mpich.tar.gz"
        ch-builder2tar mpich "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build nvidia' {
    scope full
    arch_exclude aarch64 
builder_exclude ch-grow nvidia
    ch-build -t nvidia --file="Dockerfile.nvidia" "."
    #sudo docker tag nvidia "nvidia:$ch_version_docker"
    builder_ok nvidia
}

@test 'builder to archive nvidia' {
    scope full
    arch_exclude aarch64 
builder_exclude ch-grow nvidia
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/nvidia.sqfs"
        ch-docker2squash nvidia "$ch_tardir"
    else
        archive="${ch_tardir}/nvidia.tar.gz"
        ch-builder2tar nvidia "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build openmpi' {
    scope full
    
    ch-build -t openmpi --file="Dockerfile.openmpi" "."
    #sudo docker tag openmpi "openmpi:$ch_version_docker"
    builder_ok openmpi
}

@test 'builder to archive openmpi' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/openmpi.sqfs"
        ch-docker2squash openmpi "$ch_tardir"
    else
        archive="${ch_tardir}/openmpi.tar.gz"
        ch-builder2tar openmpi "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build python3' {
    scope full
    
    ch-build -t python3 --file="Dockerfile.python3" "."
    #sudo docker tag python3 "python3:$ch_version_docker"
    builder_ok python3
}

@test 'builder to archive python3' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/python3.sqfs"
        ch-docker2squash python3 "$ch_tardir"
    else
        archive="${ch_tardir}/python3.tar.gz"
        ch-builder2tar python3 "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build ubuntu1604' {
    scope full
    
    ch-build -t ubuntu1604 --file="Dockerfile.ubuntu1604" "."
    #sudo docker tag ubuntu1604 "ubuntu1604:$ch_version_docker"
    builder_ok ubuntu1604
}

@test 'builder to archive ubuntu1604' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/ubuntu1604.sqfs"
        ch-docker2squash ubuntu1604 "$ch_tardir"
    else
        archive="${ch_tardir}/ubuntu1604.tar.gz"
        ch-builder2tar ubuntu1604 "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'docker pull alpine39_dp' {
    scope quick
    
    need_docker alpine39_dp
    sudo docker pull alpine:3.9
    sudo docker tag alpine:3.9 alpine39_dp
    sudo docker tag alpine39_dp "alpine39_dp:${ch_version_docker}"
    builder_ok alpine39_dp
}

@test 'builder to archive alpine39_dp' {
    scope quick
    
    need_docker alpine39_dp
    if ( squashfs_ready ); then
        archive="${ch_tardir}/alpine39_dp.sqfs"
        ch-docker2squash alpine39_dp "$ch_tardir"
    else
        archive="${ch_tardir}/alpine39_dp.tar.gz"
        ch-builder2tar alpine39_dp "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build lammps' {
    scope full
    
    ch-build -t lammps --file="../examples/mpi/lammps/Dockerfile" "../examples/mpi/lammps"
    #sudo docker tag lammps "lammps:$ch_version_docker"
    builder_ok lammps
}

@test 'builder to archive lammps' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/lammps.sqfs"
        ch-docker2squash lammps "$ch_tardir"
    else
        archive="${ch_tardir}/lammps.tar.gz"
        ch-builder2tar lammps "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build paraview' {
    scope full
    builder_exclude ch-grow paraview
    ch-build -t paraview --file="../examples/mpi/paraview/Dockerfile" "../examples/mpi/paraview"
    #sudo docker tag paraview "paraview:$ch_version_docker"
    builder_ok paraview
}

@test 'builder to archive paraview' {
    scope full
    builder_exclude ch-grow paraview
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/paraview.sqfs"
        ch-docker2squash paraview "$ch_tardir"
    else
        archive="${ch_tardir}/paraview.tar.gz"
        ch-builder2tar paraview "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build spark' {
    scope standard
    
    ch-build -t spark --file="../examples/other/spark/Dockerfile" "../examples/other/spark"
    #sudo docker tag spark "spark:$ch_version_docker"
    builder_ok spark
}

@test 'builder to archive spark' {
    scope standard
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/spark.sqfs"
        ch-docker2squash spark "$ch_tardir"
    else
        archive="${ch_tardir}/spark.tar.gz"
        ch-builder2tar spark "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build hello' {
    scope standard
    
    ch-build -t hello --file="../examples/serial/hello/Dockerfile" "../examples/serial/hello"
    #sudo docker tag hello "hello:$ch_version_docker"
    builder_ok hello
}

@test 'builder to archive hello' {
    scope standard
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/hello.sqfs"
        ch-docker2squash hello "$ch_tardir"
    else
        archive="${ch_tardir}/hello.tar.gz"
        ch-builder2tar hello "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build obspy' {
    scope skip
    
    ch-build -t obspy --file="../examples/serial/obspy/Dockerfile" "../examples/serial/obspy"
    #sudo docker tag obspy "obspy:$ch_version_docker"
    builder_ok obspy
}

@test 'builder to archive obspy' {
    scope skip
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/obspy.sqfs"
        ch-docker2squash obspy "$ch_tardir"
    else
        archive="${ch_tardir}/obspy.tar.gz"
        ch-builder2tar obspy "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build spack' {
    scope full
    
    ch-build -t spack --file="../examples/serial/spack/Dockerfile" "../examples/serial/spack"
    #sudo docker tag spack "spack:$ch_version_docker"
    builder_ok spack
}

@test 'builder to archive spack' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/spack.sqfs"
        ch-docker2squash spack "$ch_tardir"
    else
        archive="${ch_tardir}/spack.tar.gz"
        ch-builder2tar spack "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build mpibench-mpich' {
    scope full
    
    ch-build -t mpibench-mpich --file="../examples/mpi/mpibench/Dockerfile.mpich" "../examples/mpi/mpibench"
    #sudo docker tag mpibench-mpich "mpibench-mpich:$ch_version_docker"
    builder_ok mpibench-mpich
}

@test 'builder to archive mpibench-mpich' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/mpibench-mpich.sqfs"
        ch-docker2squash mpibench-mpich "$ch_tardir"
    else
        archive="${ch_tardir}/mpibench-mpich.tar.gz"
        ch-builder2tar mpibench-mpich "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build mpibench-openmpi' {
    scope full
    
    ch-build -t mpibench-openmpi --file="../examples/mpi/mpibench/Dockerfile.openmpi" "../examples/mpi/mpibench"
    #sudo docker tag mpibench-openmpi "mpibench-openmpi:$ch_version_docker"
    builder_ok mpibench-openmpi
}

@test 'builder to archive mpibench-openmpi' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/mpibench-openmpi.sqfs"
        ch-docker2squash mpibench-openmpi "$ch_tardir"
    else
        archive="${ch_tardir}/mpibench-openmpi.tar.gz"
        ch-builder2tar mpibench-openmpi "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build mpihello-mpich' {
    scope full
    
    ch-build -t mpihello-mpich --file="../examples/mpi/mpihello/Dockerfile.mpich" "../examples/mpi/mpihello"
    #sudo docker tag mpihello-mpich "mpihello-mpich:$ch_version_docker"
    builder_ok mpihello-mpich
}

@test 'builder to archive mpihello-mpich' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/mpihello-mpich.sqfs"
        ch-docker2squash mpihello-mpich "$ch_tardir"
    else
        archive="${ch_tardir}/mpihello-mpich.tar.gz"
        ch-builder2tar mpihello-mpich "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}

@test 'ch-build mpihello-openmpi' {
    scope full
    
    ch-build -t mpihello-openmpi --file="../examples/mpi/mpihello/Dockerfile.openmpi" "../examples/mpi/mpihello"
    #sudo docker tag mpihello-openmpi "mpihello-openmpi:$ch_version_docker"
    builder_ok mpihello-openmpi
}

@test 'builder to archive mpihello-openmpi' {
    scope full
    
    
    if ( squashfs_ready ); then
        archive="${ch_tardir}/mpihello-openmpi.sqfs"
        ch-docker2squash mpihello-openmpi "$ch_tardir"
    else
        archive="${ch_tardir}/mpihello-openmpi.tar.gz"
        ch-builder2tar mpihello-openmpi "$ch_tardir"
    fi
    archive_grep "$archive"
    archive_ok "$archive"
}
